@font-face
{
    font-family: 'myFont';
    src: url('/fonts/GeosansLight.eot');
    src: url('/fonts/geosanslight.ttf') format('truetype'),
    url('/fonts/GeosansLight.woff') format('woff'),
    url('/fonts/GeosansLight.eot?#iefix') format('embedded-opentype');
}

*{
    margin: 0;
    padding: 0;
    border: none;
}

div#bodyGallery
{
    position: fixed;
    margin: 0;
    padding: 0;
    top: 0px;
    left: 0px;
    border: none;
    text-align: center;
    height: 100%;
    width: 100%;
    background: rgba(0,0,0,0.9);
    font-family: myFont;
    color : white;
}

div#gallery{
    display: grid;
    grid-template-rows: 1fr 7fr 1fr;
    height: 100%;
    width: 100%;
}

div#gallery div#headerGallery{
    display : grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 10px;
}

div#gallery div#headerGallery div#linkSettings{
    grid-column-start: 1;
    text-align: left;
    font-style: none;
    padding: 5px;
}

div#gallery div#headerGallery div#linkSettings span#labelThemeSelect
{
    font-size: 1.3em;
    font-weight: 700;
}
div#gallery div#headerGallery div#linkSettings form select{
    font-size: 1.3em;
    background: black;
    height: 45px;
    color : white;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    border: 1px solid black;
    outline: none;
    cursor: pointer;
    padding: 5px;
}


div#gallery div#headerGallery a#closeGallery{
    grid-column-start: 3;
    width: 100%;
    text-align: right;
    font-style: none;
    font-size: 1.8em;
    color : white;
}

div#gallery div#headerGallery a#closeGallery span.cross{
    color: red;
    font-weight: 800;
}

div#gallery div#contentGallery{
    display : grid;
    grid-template-rows: 1fr 10fr;
    grid-template-columns: 1fr 1fr 1fr;
    padding-right : 50px;
}

div#gallery div#contentGallery div#leftSideViewBox{
    grid-row : 2;
    grid-column-start: 1;
    position: relative;
    max-height: 100%;
    overflow-x: auto;
    top: 0;
}

div#gallery div#contentGallery div#titleLeftSideView
{
    text-align: left;
    padding-left : 20px;
    border-bottom: 1px solid #3e3e3e;
}


div#gallery div#pictureMask{
    grid-row-start: 2;
    position: relative;
    grid-column: 2/span 2;
    margin: auto;
    text-align: center;
    /*border: 1px solid #333333;*/
    min-width: 100%;
    height: 100%;
    background: #ffffff;
}

div#gallery div#pictureMask a#prev div{
    background-color: #333;
    border: 1px solid white;
    height: 50px;
    width: 50px;
    border-radius: 30px;
    position: absolute;
    top: 45%;
    left: -40px;
    font-size: 2.4em;
    padding: 3px;
    color: white;
    box-shadow: 0px 0px 8px 2px #333;
    font-weight: 900;
}

div#gallery div#pictureMask a#next div{
    background-color: #333;
    border: 1px solid white;
    height: 50px;
    width: 50px;
    border-radius: 30px;
    position: absolute;
    top: 45%;
    left: 98%;
    font-size: 2.4em;
    padding: 3px;
    color: white;
    box-shadow: 0px 0px 8px 2px #333;
    font-weight: 900;
}

div#gallery div#pictureMask div.picturesContent{
    height : 100%;
    width: 100%;
    position: absolute;
    left : 0px;
    top : 0px;
    text-align: center;
    background: black;
    visibility: hidden;
}
div#gallery div#pictureMask img.picturesItems{
    height : 100%;
    max-width: 100%;
}

div#gallery div#thumbsGallery{
    width: 100%;
    overflow-y: hidden;
    height: 200px;
    white-space: nowrap;
    overflow-x: auto;
}
div#gallery div#thumbsGallery img{
    display: inline-block;
    height: 50px;
    margin : 10px;
    border : 3px solid white;
    box-shadow: 0px 0px 3px 2px #555555;
    vertical-align: top;
    transition: all 0.2s ease-in-out;
}
div#gallery div#thumbsGallery img:hover{
    height: 80px;
    margin : 15px;
    border : 3px solid white;
}
div#gallery div#thumbsGallery img.selected{
    height: 80px;
    margin : 15px;
    border : 3px solid white;
}


div.picturesContent div.picturesLegend{
    margin: auto;
    text-align: center;
    position: absolute;
    color: black;
    background: rgba(255,255,255,0.8);
    bottom : 0px;
    width: 100%;
    transition: all 0.2s linear;
    height: 0px;
    border: none;
    padding: 0;
    visibility: hidden;
}
div.picturesContent div.picturesLegend p{
    visibility: hidden;
    transition: visibility 0.2s linear;
    transition-timing-function: step-start;
}
div.picturesContent:hover div.picturesLegend p{
    visibility: visible;
    transition-timing-function: step-end;

}
div.picturesContent:hover div.picturesLegend{
    visibility: visible;
    padding-top: 10px;
    height: 25%;
    font-size: 1.4em;
}

div.picturesContent div.picturesLegend div.callFullScreen{
    position: relative;
    width: 100%;
    text-align: right;
    cursor: pointer;
}
div.picturesContent div.picturesLegend div.callFullScreen div {
    float: right;
    position: relative;
    right: 0;
    height: 30px;
    width: 30px;
    background: url("/images/icons/expand.png") no-repeat;
    background-size: contain;
}

div.picturesContent  div.loadingPictures
{
    opacity: 1;
    position: absolute;
    top : 0;
    left: 0;
    border : none;
    margin : 0;
    padding : 0;
    height: 100%;
    width: 100%;
    background: #0e0e0e;
}